--- title: "getServerImageProductList" slug: "compute-vserver-server-common-getserverimageproductlist" tags: ["Server"] updated: 2026-09-17T10:06:00Z published: 2026-09-17T10:06:00Z canonical: "api.ncloud-docs.com/compute-vserver-server-common-getserverimageproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getServerImageProductList Available in VPC Get the list of server image products provided by NAVER Cloud Platform. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getServerImageProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `blockStorageSize` | Integer | Optional | Block storage size (GB) - `50` \| `100` - Filter by the default block storage size of the server image. | | `exclusionProductCode` | String | Optional | Product code to exclude - See [getServerImageProductList](/docs/en/compute-vserver-server-common-getserverimageproductlist). | | `productCode` | String | Optional | Product code to query - See [getServerImageProductList](/docs/en/compute-vserver-server-common-getserverimageproductlist). | | `platformTypeCodeList.N` | Array | Optional | Platform type code list - `LNX32` \| `LNX64` \| `WND32` \| `WND64` \| `UBD64` \| `UBS64` - Filter by the platform type. - Example: `platformTypeCodeList.1=LNX32&platformTypeCodeList.2=LNX64` | | `infraResourceDetailTypeCode` | String | Optional | Infrastructure resource detailed type code - `BM`: bare metal server - Types excluding bare metal (default) - Query specific types of images. - Currently only bare metal servers can be queried. - Example: `infraResourceDetailTypeCode=BM` | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getServerImageProductList ?regionCode=KR &blockStorageSize=50 &exclusionProductCode=SW.VSVR.OS.LNX64.ROCKY.0808.B050 &productCode=SW.VSVR.OS.LNX64.ROCKY.0810.B050 &platformTypeCodeList.1=LNX64 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getServerImageProductListResponse` | Object | - | Response result - See [ProductList](/docs/en/common-vapidatatype-productlist). | | `getServerImageProductListResponse.requestId` | String | - | ID for the request - UUID format | | `getServerImageProductListResponse.returnCode` | String | - | Response code | | `getServerImageProductListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getServerImageProductListResponse": { "totalRows": 1, "productList": [ { "productCode": "SW.VSVR.OS.LNX64.ROCKY.0810.B050", "productName": "Rocky Linux 8.10", "productType": { "code": "LINUX", "codeName": "Linux" }, "productDescription": "Rocky Linux 8.10", "infraResourceType": { "code": "SW", "codeName": "Software" }, "cpuCount": 0, "memorySize": 0, "baseBlockStorageSize": 53687091200, "platformType": { "code": "LNX64", "codeName": "Linux 64 Bit" }, "osInformation": "Rocky Linux 8.10", "dbKindCode": "", "addBlockStorageSize": 0, "generationCode": "G2" } ], "requestId": "bcb42041-****-****-****-829b41c4dca4", "returnCode": "0", "returnMessage": "success" } } ```